> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Paginated list of datasets



## OpenAPI

````yaml /latest.yml GET /datasets/
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /datasets/:
    get:
      tags:
        - Datasets
      description: Paginated list of datasets
      operationId: datasets_list
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: limit
          in: query
          description: >-
            The number of Datasets to return per page, ranging between 1 and
            100.
          required: false
          schema:
            type: integer
            nullable: true
        - name: starting_after
          in: query
          description: >-
            A cursor to use in pagination. `starting_after` is a Dataset ID that
            defines your

            place in the list. For example, if you make a /datasets request and
            receive 20

            objects, ending with `dataset_abc123`, your subsequent call can
            include

            `starting_after=dataset_abc123` to fetch the next page of the list.
          required: false
          schema:
            type: string
            nullable: true
        - name: ending_before
          in: query
          description: >-
            A cursor to use in pagination. `ending_before` is a Dataset ID that
            defines your

            place in the list. For example, if you make a /datasets request and
            receive 20

            objects, starting with `dataset_abc123`, your subsequent call can
            include

            `ending_before=dataset_abc123` to fetch the previous page of the
            list.
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDatasets'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    PaginatedDatasets:
      title: PaginatedDatasets
      type: object
      description: Paginated list of datasets
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Dataset'
          description: List of dataset objects
        has_more:
          type: boolean
          description: Whether there are more datasets available
      required:
        - data
        - has_more
    Dataset:
      title: Dataset
      type: object
      description: A collection of files used for fine-tuning models
      properties:
        id:
          type: string
          description: Unique identifier for the dataset
        name:
          type: string
          description: Name of the dataset
        created_at:
          type: string
          description: Timestamp when the dataset was created
        description:
          type: string
          description: Optional description of the dataset
      required:
        - id
        - name
        - created_at
        - description
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````